Bug 212828 - xen kernel ignores noapic option
xen kernel ignores noapic option
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-10-29 08:48 EST by Christian Nolte
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-30 19:35:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christian Nolte 2006-10-29 08:48:16 EST
Description of problem:

On my test machine the kernel option 'noapic' is required to boot. If not
provided, the kernel spits out that no usable IC configuration can be found and
that I shall try to add 'noapic'. kernel-xen-2.6.18-1.2798.fc6 ignores this
option and mentioned error message occurs on every boot. After 5 seconds the
system is automatically rebooted.

Another problem occurs if one chooses to install virt-manager during
installation. Then kernel-xen is installed and the system is unbootable (if one
has to specify 'noapic').

Version-Release number of selected component (if applicable):

Comment 1 Stephen Tweedie 2006-10-30 06:34:42 EST
Under Xen, the linux kernel does not handle the PIC/ACIC --- that is done inside
the hypervisor.  You need to give the noapic option to the hypervisor (ie. on
the xen.gz... line in grub.conf).
Comment 2 Christian Nolte 2006-10-30 14:54:11 EST
Thank you for pointing this out to me! 

Anyway: shouldn't it be anacondas task to add this option on a fresh install to
the hypervisor (like it is done with the standard kernel, if provided on booting
the installation kernel)? Because if one selects virt-manager, the *only*
installed kernel is the xen-kernel and it's confusing if one does not know how
to work around this.
Comment 3 Stephen Tweedie 2006-10-30 18:44:35 EST
Good point.  I'm not sure just how much sense it makes --- it depends on how
much intelligence we want to add to anaconda regarding which options go with the
kernel and which with the hypervisor.  But it's worth at least thinking about.
Comment 4 Jeremy Katz 2006-10-30 19:35:25 EST
I don't think that it's really feasible to try to translate from kernel ->
hypervisor options.  There's going to be too much flux over time.

Note You need to log in before you can comment on or make changes to this bug.